<?php
/*
 *  @package   jphpx Joomla! Plugin
 *  @version   Version 1.3.2
 *  @author    Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 *  @copyright (C) 2021 Joachim Schmidt. All rights reserved.
 *  @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 * change activity:
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\Version;

class plgsystemjphpxInstallerScript
{

    function postflight ($parent, $type)
    {
        // Enable plugin
        $joomla_version = new Version();
        if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
            $db = Factory::getContainer()->get('DatabaseDriver');
        else
            $db = Factory::getDbo();
        
        $sql = " UPDATE #__extensions SET enabled=1 WHERE type='plugin' AND element='jphpx' AND folder='system' LIMIT 1;";
        $db->setQuery($sql);
        $db->execute();
    }
}

?>