<?php
/*
 *  @package   jphpx Joomla! Plugin
 *  @version   Version 1.0.0
 *  @author    Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 *  @copyright (C) 2021 Joachim Schmidt. All rights reserved.
 *  @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 * change activity:
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;

class plgsystemjphpxInstallerScript
{

    function postflight ($parent, $type)
    {
        
        $db_client_script = JPATH_ROOT . "/plugins/system/jphpx/jphpx_dbclient.php";
        $handle = fopen($db_client_script, "r");
        $code = fread($handle, filesize($db_client_script));
        fclose($handle);
        
         // update id 1 if row exists;
        $db = Factory::getDBO();
        $query = $db->getQuery(true);
        $fields = array(  $db->quoteName('custom_code') . ' = ' . $db->quote($code) );
        $conditions = array( $db->quoteName('id') . ' = 1' );
        
        $query->update($db->quoteName('#__jphpx'))
        ->set($fields)
        ->where($conditions);
        $result = $db->setQuery($query);
        $db->execute();
        
        // Enable plugin
        $sql = " UPDATE #__extensions SET enabled=1 WHERE type='plugin' AND element='jphpx' AND folder='system' LIMIT 1;";
        $db->setQuery($sql);
        $db->execute();
   
    }
}

?>